#if !defined(AFX_SERVICESPAGE_H__6BA5721E_6F25_4872_8E58_3D69C6B448D5__INCLUDED_)
#define AFX_SERVICESPAGE_H__6BA5721E_6F25_4872_8E58_3D69C6B448D5__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ServicesPage.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CServicesPage dialog

class CServicesPage : public CPropertyPage
{
	DECLARE_DYNCREATE(CServicesPage)

// Construction
public:
	CServicesPage();
	~CServicesPage();

// Dialog Data
	//{{AFX_DATA(CServicesPage)
	enum { IDD = IDD_SERVICES_PAGE };
	CButton	m_buttonEdit;
	CButton	m_buttonDelete;
	CButton	m_buttonAdd;
	CListCtrl	m_listServices;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CServicesPage)
	public:
	virtual void OnOK();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

	BOOL SetupServicesList();
	BOOL QueryServices();
	BOOL UpdateServices();

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CServicesPage)
	afx_msg void OnButtonAdd();
	afx_msg void OnButtonEdit();
	afx_msg void OnButtonDelete();
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	BOOL m_bDirty;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SERVICESPAGE_H__6BA5721E_6F25_4872_8E58_3D69C6B448D5__INCLUDED_)
